## gdpdepay gdpdepay |

## Properties

gint64 | ts-offset | Read / Write

## Types and Values

struct | GstGDPDepay

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstGDPDepay

## Description

This element depayloads GStreamer Data Protocol buffers back to deserialized buffers and events.

    1
    gst-launch-1.0 -v -m filesrc location=test.gdp ! gdpdepay ! xvimagesink

This pipeline plays back a serialized video stream as created in the example for gdppay.

## Synopsis

### Element Information

plugin | gdp
author | Thomas Vander Stichele <thomas at apestaart dot org>
class | GDP/Depayloader

### Element Pads

name | sink
direction | sink
presence | always
details | application/x-gdp

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstGDPDepay

    struct GstGDPDepay;

Private gdpdepay element structure.

## Property Details

### The `“ts-offset”` property

      “ts-offset”                gint64

Timestamp Offset.

Flags: Read / Write

Default value: 0

## See Also

gdppay